#
# spec file for package ghc-mmorph
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name mmorph
Name:           ghc-%{pkg_name}
Version:        1.2.0
Release:        bp155.2.17
Summary:        Monad morphisms
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
ExcludeArch:    %{ix86}

%description
This library provides monad morphism utilities, most commonly used for
manipulating monad transformer stacks.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%changelog
* Wed Jul 28 2021 psimons@suse.com
- Update mmorph to version 1.2.0 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Jul 19 2021 psimons@suse.com
- Update mmorph to version 1.2.0.
  1.2.0
  * BREAKING CHANGE: Remove instances for `ErrorT` and `ListT`
  * These types are deprecated
* Tue Mar  2 2021 psimons@suse.com
- Update mmorph to version 1.1.5 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Fri Feb 19 2021 psimons@suse.com
- Update mmorph to version 1.1.5.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/mmorph-1.1.5/src/CHANGELOG.md
* Wed Feb  3 2021 psimons@suse.com
- Update mmorph to version 1.1.4 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Feb  2 2021 psimons@suse.com
- Update mmorph to version 1.1.4.
  1.1.4
  * Fix `MonadFail`-related code to work for GHCJS
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun  9 2020 psimons@suse.com
- Add mmorph at version 1.1.3.
